JexlScriptEngineFactory (Commons JEXL 2.0.1 API)
Keywords: org.apache.commons.jexl2.scripting.JexlScriptEngineFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2.scripting
Class JexlScriptEngineFactory

    java.lang.Object
      org.apache.commons.jexl2.scripting.JexlScriptEngineFactory

All Implemented Interfaces:
  javax.script.ScriptEngineFactory

    public class JexlScriptEngineFactory

extends java.lang.Object
implements javax.script.ScriptEngineFactory

Implements the Jexl ScriptEngineFactory for JSF-223.

Supports the following: Language short names: "JEXL", "Jexl", "jexl"
Extension: "jexl"

See Java Scripting API Javadoc.

Since:
  2.0

Constructor Summary
`JexlScriptEngineFactory()`

Method Summary
`java.lang.String` | `getEngineName()`
`java.lang.String` | `getEngineVersion()`
`java.util.List<java.lang.String>` | `getExtensions()`
`java.lang.String` | `getLanguageName()`
`java.lang.String` | `getLanguageVersion()`
`java.lang.String` | `getMethodCallSyntax(java.lang.String obj, java.lang.String m, java.lang.String... args)`
`java.util.List<java.lang.String>` | `getMimeTypes()`
`java.util.List<java.lang.String>` | `getNames()`
`java.lang.String` | `getOutputStatement(java.lang.String toDisplay)`
`java.lang.Object` | `getParameter(java.lang.String key)`
`java.lang.String` | `getProgram(java.lang.String... statements)`
`javax.script.ScriptEngine` | `getScriptEngine()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JexlScriptEngineFactory

    public JexlScriptEngineFactory()

Method Detail

### getEngineName

    public java.lang.String getEngineName()

  Specified by:
    `getEngineName` in interface `javax.script.ScriptEngineFactory`

### getEngineVersion

    public java.lang.String getEngineVersion()

  Specified by:
    `getEngineVersion` in interface `javax.script.ScriptEngineFactory`

### getLanguageName

    public java.lang.String getLanguageName()

  Specified by:
    `getLanguageName` in interface `javax.script.ScriptEngineFactory`

### getLanguageVersion

    public java.lang.String getLanguageVersion()

  Specified by:
    `getLanguageVersion` in interface `javax.script.ScriptEngineFactory`

### getMethodCallSyntax

    public java.lang.String getMethodCallSyntax(java.lang.String obj,
                                                java.lang.String m,
                                                java.lang.String... args)

  Specified by:
    `getMethodCallSyntax` in interface `javax.script.ScriptEngineFactory`

### getExtensions

    public java.util.List<java.lang.String> getExtensions()

  Specified by:
    `getExtensions` in interface `javax.script.ScriptEngineFactory`

### getMimeTypes

    public java.util.List<java.lang.String> getMimeTypes()

  Specified by:
    `getMimeTypes` in interface `javax.script.ScriptEngineFactory`

### getNames

    public java.util.List<java.lang.String> getNames()

  Specified by:
    `getNames` in interface `javax.script.ScriptEngineFactory`

### getOutputStatement

    public java.lang.String getOutputStatement(java.lang.String toDisplay)

  Specified by:
    `getOutputStatement` in interface `javax.script.ScriptEngineFactory`

### getParameter

    public java.lang.Object getParameter(java.lang.String key)

  Specified by:
    `getParameter` in interface `javax.script.ScriptEngineFactory`

### getProgram

    public java.lang.String getProgram(java.lang.String... statements)

  Specified by:
    `getProgram` in interface `javax.script.ScriptEngineFactory`

### getScriptEngine

    public javax.script.ScriptEngine getScriptEngine()

  Specified by:
    `getScriptEngine` in interface `javax.script.ScriptEngineFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.